Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 1496243005: Use Window coordinates for IME composition bounds, auto resize (Closed)

Created:
4 years ago by oshima
Modified:
4 years ago
Reviewers:
bokan, Avi (use Gerrit)
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, creis+watch_chromium.org, extensions-reviews_chromium.org, tfarina, nasko+codewatch_chromium.org, jam, darin-cc_chromium.org, mkwst+moarreviews-renderer_chromium.org, chromium-apps-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Use Window coordinates for IME composition bounds, auto resize, pepper's selection bounds. BUG=485650 TEST=covered by unit tests. Committed: https://crrev.com/3d09c3fa33ff2d2a8fd85c9cc71f0faf1f3fbe05 Cr-Commit-Position: refs/heads/master@{#364911} Committed: https://crrev.com/33ec97cdafc23098dafaa8b643214f3dc62f65b8 Cr-Commit-Position: refs/heads/master@{#365072}

Patch Set 1 : #

Total comments: 4

Patch Set 2 : #

Total comments: 2

Patch Set 3 : #

Patch Set 4 : removed NE condition because bounds can be same on mac. disable autoresize test on android #

Patch Set 5 : #

Patch Set 6 : adjusted test expectation #

Unified diffs Side-by-side diffs Delta from patch set Stats (+144 lines, -40 lines) Patch
M content/renderer/render_view_browsertest.cc View 1 2 3 4 5 4 chunks +109 lines, -11 lines 0 comments Download
M content/renderer/render_view_impl.h View 1 2 chunks +3 lines, -1 line 0 comments Download
M content/renderer/render_view_impl.cc View 1 2 3 4 5 4 chunks +17 lines, -8 lines 0 comments Download
M content/renderer/render_widget.cc View 1 3 chunks +15 lines, -20 lines 0 comments Download

Messages

Total messages: 67 (41 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1496243005/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1496243005/1
4 years ago (2015-12-05 02:12:06 UTC) #2
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win8_chromium_ng on tryserver.chromium.win (JOB_TIMED_OUT, no build URL) ...
4 years ago (2015-12-05 04:16:35 UTC) #4
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1496243005/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1496243005/40001
4 years ago (2015-12-08 22:43:04 UTC) #10
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
4 years ago (2015-12-09 00:20:39 UTC) #12
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1496243005/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1496243005/60001
4 years ago (2015-12-09 01:35:06 UTC) #14
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
4 years ago (2015-12-09 02:57:17 UTC) #16
oshima
bokan@ -> please review the coordinate conversion change. avi@ -> owners review
4 years ago (2015-12-09 21:27:46 UTC) #23
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1496243005/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1496243005/100001
4 years ago (2015-12-09 21:34:48 UTC) #25
bokan
lgtm https://codereview.chromium.org/1496243005/diff/100001/content/renderer/render_view_impl.h File content/renderer/render_view_impl.h (right): https://codereview.chromium.org/1496243005/diff/100001/content/renderer/render_view_impl.h#newcode569 content/renderer/render_view_impl.h:569: // FRIEND_TEST_ALL_PREFIXES(RenderViewImplScaleFactorTest, AutoResize); Uncomment? Or remove? https://codereview.chromium.org/1496243005/diff/100001/content/renderer/render_widget.cc File ...
4 years ago (2015-12-09 22:06:32 UTC) #26
oshima
https://codereview.chromium.org/1496243005/diff/100001/content/renderer/render_view_impl.h File content/renderer/render_view_impl.h (right): https://codereview.chromium.org/1496243005/diff/100001/content/renderer/render_view_impl.h#newcode569 content/renderer/render_view_impl.h:569: // FRIEND_TEST_ALL_PREFIXES(RenderViewImplScaleFactorTest, AutoResize); On 2015/12/09 22:06:32, bokan wrote: > ...
4 years ago (2015-12-09 22:20:15 UTC) #27
Avi (use Gerrit)
lgtm https://codereview.chromium.org/1496243005/diff/120001/content/renderer/render_view_browsertest.cc File content/renderer/render_view_browsertest.cc (right): https://codereview.chromium.org/1496243005/diff/120001/content/renderer/render_view_browsertest.cc#newcode391 content/renderer/render_view_browsertest.cc:391: } This override just to call the superclass ...
4 years ago (2015-12-10 15:28:54 UTC) #28
oshima
https://codereview.chromium.org/1496243005/diff/120001/content/renderer/render_view_browsertest.cc File content/renderer/render_view_browsertest.cc (right): https://codereview.chromium.org/1496243005/diff/120001/content/renderer/render_view_browsertest.cc#newcode391 content/renderer/render_view_browsertest.cc:391: } On 2015/12/10 15:28:54, Avi wrote: > This override ...
4 years ago (2015-12-10 18:45:37 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1496243005/140001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1496243005/140001
4 years ago (2015-12-10 18:47:10 UTC) #35
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/153633)
4 years ago (2015-12-10 20:30:29 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1496243005/180001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1496243005/180001
4 years ago (2015-12-12 00:27:27 UTC) #43
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_gn_rel on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_gn_rel/builds/42594)
4 years ago (2015-12-12 00:46:57 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1496243005/200001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1496243005/200001
4 years ago (2015-12-12 01:18:21 UTC) #48
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) linux_chromium_chromeos_compile_dbg_ng on ...
4 years ago (2015-12-12 03:25:06 UTC) #50
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1496243005/200001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1496243005/200001
4 years ago (2015-12-12 04:49:14 UTC) #52
commit-bot: I haz the power
Committed patchset #5 (id:200001)
4 years ago (2015-12-12 04:53:01 UTC) #54
commit-bot: I haz the power
Patchset 5 (id:??) landed as https://crrev.com/3d09c3fa33ff2d2a8fd85c9cc71f0faf1f3fbe05 Cr-Commit-Position: refs/heads/master@{#364911}
4 years ago (2015-12-12 04:53:56 UTC) #56
perkj_chrome
A revert of this CL (patchset #5 id:200001) has been created in https://codereview.chromium.org/1521853002/ by perkj@chromium.org. ...
4 years ago (2015-12-13 12:16:20 UTC) #57
oshima
On 2015/12/13 12:16:20, perkj wrote: > A revert of this CL (patchset #5 id:200001) has ...
4 years ago (2015-12-14 18:35:57 UTC) #59
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1496243005/240001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1496243005/240001
4 years ago (2015-12-14 18:37:08 UTC) #63
commit-bot: I haz the power
Committed patchset #6 (id:240001)
4 years ago (2015-12-14 19:40:32 UTC) #65
commit-bot: I haz the power
4 years ago (2015-12-14 19:41:22 UTC) #67
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/33ec97cdafc23098dafaa8b643214f3dc62f65b8
Cr-Commit-Position: refs/heads/master@{#365072}

Powered by Google App Engine
This is Rietveld 408576698